<?php
// WizyTówka - admin/informacje.php
if ( !defined('WT') ) exit();

$admin_naglowek['tytul'] = 'Informacje';
include('_naglowek.php');
?>

<?php if ( $b == 'licencja' ) { ?>
<h3>Licencja</h3>

<?php include('licencja.php'); ?>

<?php
} else { 

$aktualizacja = false;
$serwis_wizytowka = @file_get_contents('http://wizytowka.tomaszgasior.kao.pl/wersja.txt',null,null,null,16);

$serwis_wizytowka = explode(',',$serwis_wizytowka);
$aktualizacja_wersja = $serwis_wizytowka[0];
$aktualizacja_data = $serwis_wizytowka[1];
if ( $aktualizacja_wersja > WERSJA )
  $aktualizacja = true;

?>
<table class="wersja">

<caption>Wersja</caption>

<tr> <td><strong>WizyTówka <?php echo WERSJA ?> <?php if ( WERSJA_TEST == 'ALFA' ) echo '<span style="color: blue;">ALFA</span>'; elseif ( WERSJA_TEST == 'BETA' ) echo '<span style="color: red;">BETA</span>'; ?></strong> (<?php echo WERSJA_DATA ?>)</td> </tr>
<tr> <td><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">www.wizytowka.tomaszgasior.kao.pl</a></td> </tr>

</table>

<?php if ($aktualizacja) { ?>
<table>

<caption>Aktualizacja</caption>

<tr> <td>Używasz przestarzałej wersji WizyTówki wydanej w dniu <?php echo WERSJA_DATA ?>.</td> </tr>
<tr> <td>Najnowsza wersja to <strong><?php echo $aktualizacja_wersja ?></strong> wydana w dniu <strong><?php echo $aktualizacja_data ?></strong>.</td> </tr>
<tr> <td>Wejdź na <a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">www.wizytowka.tomaszgasior.kao.pl</a>, pobierz nową wersję i dokonaj aktualizacji podmieniając folder <code><?php echo SYSTEM ?></code> na nowy.</td> </tr>

</table>
<?php } ?>

<table>

<caption>Dokumentacja</caption>

<tr> <td><a href="?a=informacje&b=tworzenie-motywu&kod=<?php echo $kod ?>">Tworzenie motywu</a></td> <td><a href="?a=informacje&b=licencja&kod=<?php echo $kod ?>">Licencja</a></td> </tr>
<tr> <td><a href="?a=informacje&b=tworzenie-typu&kod=<?php echo $kod ?>">Tworzenie typu strony</a></td> <td><a href="?a=informacje&b=pytania&kod=<?php echo $kod ?>">Pytania i odpowiedzi</a></td> </tr>
<tr> <td><a href="?a=informacje&b=funkcje&kod=<?php echo $kod ?>">Informacje o funkcjach</a></td> <td><a href="?a=informacje&b=zainstalowane&kod=<?php echo $kod ?>">Zainstalowane typy stron i motywy</a></td> </tr>

</table>

<table>

<caption>Elementy</caption>

<tr> <th>Element</th> <th>Autor</th> <th class="waska-kolumna">Wersja</th> <th class="waska-kolumna">Licencja</th> </tr>

<tr> <td><a href="http://wizytowka.tomaszgasior.kao.pl" target="_blank">WizyTówka</a></td> <td><a href="http://tomaszgasior.kao.pl" target="_blank">Tomasz Gąsior</a></td> <td class="waska-kolumna"><?php echo WERSJA . ' ' . WERSJA_TEST ?></td> <td class="waska-kolumna">&mdash;</td> </tr>
<tr> <td><a href="http://led24.de/iconset" target="_blank">LED Icon Set</a></td> <td>Marcis Gasuns</td> <td class="waska-kolumna">1.0</td> <td class="waska-kolumna"><a href="http://creativecommons.org/licenses/by-sa/3.0/" target="_blank">CC BY-SA 3.0</a></td> </tr>
<tr> <td><a href="http://daringfireball.net/projects/markdown" target="_blank">Markdown</a></td> <td><a href="http://daringfireball.net" target="_blank">John Gruber</a></td> <td class="waska-kolumna">&mdash;</td> <td class="waska-kolumna"><a href="http://daringfireball.net/projects/markdown/license" target="_blank">BSD</a></td> </tr>
<tr> <td><a href="http://michelf.ca/projects/php-markdown" target="_blank">PHP Markdown</a></td> <td><a href="http://michelf.ca/home" target="_blank">Michel Fortin</a></td> <td class="waska-kolumna">1.0.1o</td> <td class="waska-kolumna"><a href="http://michelf.ca/projects/php-markdown/license/" target="_blank">BSD</a></td> </tr>
<tr> <td><a href="http://nicedit.com" target="_blank">NicEdit</a></td> <td><a href="http://bkirchoff.com" target="_blank">Brian Kirchoff</a></td> <td class="waska-kolumna">0.9 r24</td> <td class="waska-kolumna"><a href="http://nicedit.com/license.php" target="_blank">MIT</a></td> </tr>
<tr> <td><a href="http://jscolor.com" target="_blank">JSColor</a></td> <td><a href="http://odvarko.cz" target="_blank">Jan Odvárko</a></td> <td class="waska-kolumna">1.4.0</td> <td class="waska-kolumna"><a href="http://www.gnu.org/copyleft/lesser.html" target="_blank">LGPL</a></td> </tr>
<tr> <td><a href="http://jquery.com" target="_blank">jQuery</a></td> <td><a href="http://jquery.org/team/" target="_blank">jQuery Team</a></td> <td class="waska-kolumna">&mdash;</td> <td class="waska-kolumna"><a href="http://opensource.org/licenses/mit-license.php" target="_blank">MIT</a></td> </tr>

</table>
<?php } ?>

<?php
include('_stopka.php');