<?php
// WizyTówka - admin/_naglowek.php
if ( !defined('WT') ) exit();
?>
<!doctype html>

<html>

<head>
<meta http-equiv="Content-Type" content="text/html;charset=UTF-8" />
<title><?php echo odczyt_konf('ustawienia','tytul') ?> &mdash; WizyTówka</title>
<link rel="Stylesheet" href="<?php echo SYSTEM ?>/pliki/wizytowka.css" />
<script type="text/javascript" src="<?php echo SYSTEM ?>/pliki/jscolor.js"></script>
<?php
if ( odczyt_konf('ustawienia','edytor') )
  echo '<script type="text/javascript" src="'.SYSTEM.'/pliki/nicedit.js"></script>';
  
if ( odczyt_konf('ustawienia','kontrast') )
  echo '<link rel="Stylesheet" href="'.SYSTEM.'/pliki/wizytowka_kontrast.css" />';

if ( !odczyt_konf('ustawienia','pomoc_poczatkujacy') )
  $admin_naglowek['css'] = 'p.info { display: none; }';

if ( !empty($admin_naglowek['css']) )
  echo '<style>'.$admin_naglowek['css'].'</style>'
?>
</head>

<body>

<?php
if ( !empty($admin_naglowek['komunikat']) ) {
  if ($admin_naglowek['komunikat'] == 1) {
    $komunikat_status = 'dob';
    $komunikat_tresc = 'Zmiany zostały zapisane.';
  }
  elseif ($admin_naglowek['komunikat'] == 2) {
    $komunikat_status = 'zle';
    $komunikat_tresc = 'Wystąpił błąd.';
  }
  else {
    $komunikat_status = substr($admin_naglowek['komunikat'],0,3);
    $komunikat_tresc = substr($admin_naglowek['komunikat'],4);
  }
?>
<script type="text/javascript">
function usun () { document.getElementById('komunikat').style.display = 'none'; }
function ukryj() { document.getElementById('komunikat').className = 'ukryj'; setTimeout(usun,2000) }
setTimeout(ukryj,<?php echo $start['czas_komunikatu'] * 1000; ?>);
</script>
<p id="komunikat" class="<?php echo $komunikat_status ?>"><?php echo $komunikat_tresc ?> <a href="#" onclick="ukryj()" class="x">X</a></p>
<?php } ?>

<header>
<h1 class="logo">WizyTówka</h1>
<h2><?php echo $admin_naglowek['tytul'] ?></h2>
</header>

<div class="strona">

<div class="lewa">

<nav>
<ul>
<li><a href="<?php echo odczyt_konf('ustawienia','adres') ?>" target="_blank" class="witryna">Witryna</a></li>
<?php if ( !empty($admin_naglowek['link_podglad']) ) { ?><li><a href="<?php echo $admin_naglowek['link_podglad'] ?>" target="_blank" class="podglad">Podgląd</a></li><?php } ?>
<li><a href="?a=podstrony&kod=<?php echo $kod ?>" class="podstrony">Podstrony</a></li>
<li><a href="?a=pliki&kod=<?php echo $kod ?>" class="pliki">Pliki</a></li>
<li><a href="?a=ustawienia&kod=<?php echo $kod ?>" class="ustawienia">Ustawienia</a></li>
<li><a href="?a=menu&kod=<?php echo $kod ?>" class="menu">Menu</a></li>
<li><a href="?a=wyglad&kod=<?php echo $kod ?>" class="wyglad">Wygląd</a></li>
<li><a href="?a=statystyki&kod=<?php echo $kod ?>" class="statystyki">Statystyki</a></li>
<li><a href="?a=informacje&kod=<?php echo $kod ?>" class="informacje">Informacje</a></li>
<li><a href="?a=wyloguj&kod=<?php echo $kod ?>" class="wyloguj">Wyloguj</a></li>
</ul>
</nav>

</div>

<div class="prawa">
