<?php
// WizyTówka - admin/menu.php
if ( !defined('WT') ) exit();

if ( $_SERVER['REQUEST_METHOD'] == 'POST' ) {
  foreach ( $_POST as $nazwa => $element ) {
    $menu = substr( $nazwa, 0, 2 );
    if ( $menu == 'mg' )
      $zapisywane_menu['menu_glowne'][] = $element;
    elseif ( $menu == 'md' )
      $zapisywane_menu['menu_dodatkowe'][] = $element;
  }
  zapis_konf('menu',$zapisywane_menu);
  if ( empty($admin_naglowek['komunikat']) )
    $admin_naglowek['komunikat'] = 1;
}

$odczyt = odczyt_konf ('menu');

$admin_naglowek['tytul'] = 'Menu';
include('_naglowek.php');
?>

<form method="post">

<table>

<caption>Menu główne</caption>

<?php
$tablica_identyfikatory = wszystkie_podstrony();
$liczba_stron = count($tablica_identyfikatory);
if ( $liczba_stron > 0 ) {
  foreach ( $tablica_identyfikatory as $numer => $element ) {
    $podstrona = odczyt_podstrona($element,false);
    $tablica_nazwy[$numer] = $podstrona['tytul_podstrony'];
  }
}
$tablica_identyfikatory[] = '';
$tablica_nazwy[] = '(brak)';

if ( $liczba_stron == 0 )
  echo '<tr> <td>Brak podstron.</td> </tr>';
else {
  for ( $i=0 ; $i < $liczba_stron ; $i++ ) {
    $podstrona = odczyt_podstrona ($odczyt['menu_glowne'][$i],false);
    if ( !$podstrona )
      $podstrona['tytul_podstrony'] = '(brak)';
    echo '<tr><td><select name="mg_'.$i.'" class="menu">';
    echo '<optgroup label="Wybrane"><option class="wybrane" value="'.$odczyt['menu_glowne'][$i].'">'.$podstrona['tytul_podstrony'].'</option></optgroup>';
    echo '<optgroup label="Podstrony">';
    generuj_optgroup ($tablica_nazwy, $tablica_identyfikatory);
    echo '</optgroup>';
    echo '</select></td></tr>';
  }
}
?>

</table>

<table>

<caption>Menu dodatkowe</caption>

<?php
if ( $liczba_stron == 0 )
  echo '<tr> <td>Brak podstron.</td> </tr>';
else {
  for ( $i=0 ; $i < $liczba_stron ; $i++ ) {
    $podstrona = odczyt_podstrona ($odczyt['menu_dodatkowe'][$i],false);
    if ( !$podstrona )
      $podstrona['tytul_podstrony'] = '(brak)';
    echo '<tr><td><select name="md_'.$i.'" class="menu">';
    echo '<optgroup label="Wybrane"><option class="wybrane" value="'.$odczyt['menu_dodatkowe'][$i].'">'.$podstrona['tytul_podstrony'].'</option></optgroup>';
    echo '<optgroup label="Podstrony">';
    generuj_optgroup ($tablica_nazwy, $tablica_identyfikatory);
    echo '</optgroup>';
    echo '</select></td></tr>';
  }
}
?>

</table>

<p class="submit">
<input type="submit" value="Zapisz zmiany" />
</p>


</form>

<?php
include('_stopka.php');