<?php
// WizyTówka - strona/awaria.php
if ( !defined('WT') ) exit();
?>
<!doctype html>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title><?php echo odczyt_konf('ustawienia','tytul') ?></title>

<style>
html { font: 17px /24px Arial, sans-serif; }
h1, h2, h3, h4, h5, h6 { font-family: Tahoma, sans-serif; font-weight: normal; }
header, section, footer { padding: 3px 12px; margin: 3px auto; max-width: 900px; background: #F4F4F4; border-radius: 3px; }
section nav ul { list-style-type: none; padding: 0; }
section nav ul li { display: inline; margin: 0 10px; }
header h1, section nav ul, footer p { text-align: center; }
</style>

<header>
<h1><?php tytul_strony() ?></h1>
</header>

<section>
<h2><?php tytul_podstrony() ?></h2>
<?php zawartosc(); ?>
</section>

<section>
<nav>
<ul>
<?php menu(1) ?>
</ul>
</nav>
</section>

<footer>
<p><?php stopka(' &mdash; ') ?></p>
</footer>